Docs
cURL
cURL
Learn how to create your first sigature request using the command-line.
Prerequisites
To get the most out of this guide, you’ll need to:
Open a terminal
// Your reequest goes here...Authenticate
The DigiSign API requires authentication via an API Key. Learn More.
Call createSession to authenticate. Each session expires every 6 minutes.
curl --location --request POST 'https://sandbox.usedigisign.dev/v1/keys/session' \
--header 'X-API-Key: ds_123456789'Transform a template to a Request
The easiest way to create a request is by using the transform method.
Note: You'll need to provide the Organisation ID (See the previous response) in the header as X-10N-Identifier and the Workspace ID as X-WS-Identifier, then use the access_token as a bearer token.
curl --location --request PUT 'http://sandbox.usedigisign.dev/templates/656a2d6e7bd2d8244bbcd52e/transform' \
--header 'X-O10N-Identifier: fd1a1bee-9ee6-4c7f-9ad1-b8ad084287ca' \
--header 'X-WS-Identifier: fd259248-0527-40ea-adbb-3c23a9ce353a' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VybmFtZSI6ImFrcGFudWRvc2ltZW9uQGdtYWlsLmNvbSIsInN1YiI6IjY1NGUyZmEzNGE5ODU5M2ViNzhjNzQ3ZSIsInR5cGUiOiJ0b2tlbi5hY2NvdW50IiwiaWF0IjoxNzAyOTEzMDQ3LCJleHAiOjE3MDMwODU4NDd9.ZBSyjMu1x-CTfPad0KsooQE7Q-B8CVWZwzt-L3qwz24' \
--data-raw '{
"recipients": [
{
"id": "tmp-ee55621f-ab34-4d61-b10e-c89b33464d5a",
"name": "Simeon Akpanudo",
"email": "levine.cmion@gmail.com",
"fillable": {
"company": "Jide & Sons Limited",
"company_2": "Emeka International Limited",
"first_name": "Jidenna Ifeanyi",
"last_name": "Okonkwo"
},
"private_message": "Jide, please check this document ASAP, for your container. This is just a test document tho. Good testing!!!"
}
],
"message": {
"subject": "Avocado Replublic Export v1.1",
"body": "Please review and sign this document as soon as you can. Thanks"
}
}'Recipients ID must match a corresponding alias ID from the selected template.
Try it yourself
Was this page helpful?